package api.common.pojo.constants;

public class DictConstants {

    //字典缓存目录key
    public static final String BASE_KEY = "DICT:";
    public static final String LIST_KEY = "LIST:";
    public static final String MAP_KEY = "MAP:";

    //字典类型
    public static final String LEVEL = "level";//级别
    public static final String VEHICLE_TYPE = "vehicleType";//车辆类型
    public static final String DRIVE_TYPE = "driveType";//驱动方式


    public static final String SCENE_NATURAL = "1"; // 自然驾驶
    public static final String SCENE_STANDARD = "2";    // 标准法规
    public static final String SCENE_ACCIDENT = "3";    // 交通事故
    public static final String SCENE_GENERAL = "4";    // 泛化场景

    public static final String SENSOR_CAMERA = "1"; // 摄像头
    public static final String SENSOR_OGT = "2"; // 完美传感器
    public static final String SENSOR_LIDAR = "3"; // 激光雷达表
    public static final String SENSOR_RADAR = "4"; // 毫米波雷达表
    public static final String SENSOR_GPS = "5"; // GPS 传感器表

    public static final String TASK_WAITING = "1"; // 任务执行状态，待执行

    public static final String REGULATION_TYPE = "regulationType"; // 法规类型
    public static final String SELF_DRIVING = "selfDriving"; // 自车驾驶行为
    public static final String TARGET_DRIVING = "targetDriving"; // 目标驾驶行为
    public static final String SELF_REACTION = "selfReaction"; // 自车反应行为
    public static final String CONFLICT_BEHAVIOR = "conflictBehavior"; // 冲突行为
    public static final String CONFLICT_TYPE = "conflictType"; // 冲突类型


}
